{
    attributes = (
        {
            allowsNull = Y; 
            columnName = ANNEE; 
            externalType = DATE; 
            name = annee; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "COMPOSANT_ID"; 
            externalType = NUMBER; 
            name = composantId; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "DESTINATION_ID"; 
            externalType = NUMBER; 
            name = destinationId; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_DESCRIPTIF"; 
            externalType = NUMBER; 
            name = id; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = LIBELLE; 
            externalType = VARCHAR2; 
            name = libelle; 
            valueClassName = NSString; 
            width = 255; 
        }, 
        {
            allowsNull = Y; 
            columnName = "VERSION_DESCRIPTIF"; 
            externalType = VARCHAR2; 
            name = version; 
            valueClassName = NSString; 
            width = 32; 
        }
    ); 
    attributesUsedForLocking = (id); 
    className = "org.cocktail.fwkcktlscolpeda.serveur.metier.EODescriptif"; 
    classProperties = (
        annee, 
        composant, 
        composantId, 
        descriptifChampContenus, 
        destination, 
        destinationId, 
        id, 
        libelle, 
        liens, 
        liensUtiles, 
        version
    ); 
    externalName = "SCO_SCOLARITE.DESCRIPTIF"; 
    fetchSpecificationDictionary = {}; 
    name = "Sco_Descriptif"; 
    primaryKeyAttributes = (id); 
    relationships = (
        {
            destination = "Sco_Composant"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = composantId; }); 
            name = composant; 
        }, 
        {
            destination = "Sco_DescriptifChampContenu"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = descriptifId; sourceAttribute = id; }); 
            name = descriptifChampContenus; 
        }, 
        {
            destination = "Sco_TypeDescriptifDestination"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = destinationId; }); 
            name = destination; 
        }, 
        {definition = "sco_DescriptifLien.lien"; name = liens; }, 
        {
            destination = "Sco_DescriptifLiensUtiles"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = descriptifId; sourceAttribute = id; }); 
            name = liensUtiles; 
        }, 
        {
            deleteRule = EODeleteRuleCascade; 
            destination = "Sco_SelectionLienDescriptif"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = descriptifId; sourceAttribute = id; }); 
            name = "sco_DescriptifLien"; 
            ownsDestination = Y; 
            propagatesPrimaryKey = Y; 
        }
    ); 
}
